#2290 closed defect (fixed)

Move to gdb-7.9

Reported by: Chris Johns Owned by:
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Jiri Gaisler Blocked By:
Blocking:

Description

We need to move to gdb-7.9 because gdb-7.8.2 is broken on Windows.

The gdb-7.9 version will not build for SPARC because the current patch for gdb-7.8.2 will not apply.

Attachments (1)

sis-79-patches.tar.bz2 (20.4 KB) - added by Joel Sherrill on Mar 17, 2015 at 4:33:36 PM.
Jiri's sis patches rebased against 7.9

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Mar 9, 2015 at 10:05:40 PM by Joel Sherrill

Cc: Jiri Gaisler added
Version: 4.104.11

Changed on Mar 17, 2015 at 4:33:36 PM by Joel Sherrill

Attachment: sis-79-patches.tar.bz2 added

Jiri's sis patches rebased against 7.9

comment:2 Changed on Apr 1, 2015 at 2:41:27 PM by Joel Sherrill

I would like to move the gdb for all targets to 7.9 if possible. Most are on 7.8.2 so there shouldn't be an issue. The two stuck on 7.7 might need work.

arm-rtems4.11-gdb 7.9
avr-rtems4.11-gdb 7.8.2
bfin-rtems4.11-gdb 7.8.2
h8300-rtems4.11-gdb 7.8.2
i386-rtems4.11-gdb 7.8.2
lm32-rtems4.11-gdb 7.8.2
m32c-rtems4.11-gdb 7.8.2
m32r-rtems4.11-gdb 7.8.2
m68k-rtems4.11-gdb 7.8.2
mips-rtems4.11-gdb 7.8.2
mipstx39-rtems4.11-gdb 7.7
nios2-rtems4.11-gdb 7.8.2
or1k-rtems4.11-gdb 7.7
powerpc-rtems4.11-gdb 7.8.2
sh-rtems4.11-gdb 7.8.2
sparc64-rtems4.11-gdb 7.8.2
sparc-rtems4.11-gdb 7.9
v850-rtems4.11-gdb 7.8.2

comment:3 Changed on Apr 1, 2015 at 10:54:29 PM by Chris Johns

Please move everything possible to 7.9.

I have confirmed this version builds on Windows (MSYS2) with '--without-sim --without-python'.

I am looking at a possible Python solution give we have supported Python GDB for RTEMS.

comment:4 Changed on Apr 2, 2015 at 9:44:48 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

done. All but or1k are up to 7.9.

Note: See TracTickets for help on using tickets.